
<div class="dialog-content-wrapper">
  <mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
      <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
          <span class="title dialog-title">Novo Serviço</span>
      </mat-toolbar-row>
  </mat-toolbar>
  <br>
  <form [formGroup]="serviceForm" (ngSubmit)="createService(serviceForm.value)" novalidate>
    <mat-dialog-content>
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <mat-form-field fxFlex="100">
              <input matInput placeholder="Nome do serviço" required formControlName="name">
              <mat-error *ngIf="serviceForm.get('name').hasError('required')">
                Por favor, informe o nome do serviço
              </mat-error>
            </mat-form-field>
        </div>
      
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="100">
              <input matInput placeholder="Descrição" required formControlName="description">
              <mat-error *ngIf="serviceForm.get('description').hasError('required')">
                Por favor, informe uma descrição
              </mat-error>
          </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="50">
            <input matInput placeholder="Valor da adesão" required formControlName="accession">
            <mat-error *ngIf="serviceForm.get('accession').hasError('required')">
              Por favor, informe um valor
            </mat-error>
          </mat-form-field>
          <mat-form-field fxFlex="50">
            <input matInput placeholder="Valor da mensalidade" required formControlName="recurrence">
            <mat-error *ngIf="serviceForm.get('recurrence').hasError('required')">
              Por favor, informe um valor
            </mat-error>
          </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="100">
            <mat-select placeholder="Segmento" formControlName="segment">
              <mat-option *ngFor="let segment of segmentList" [value]="segment.id">
                {{ segment.name }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="serviceForm.get('segment').hasError('required')">
              Por favor, selecione um segmento
            </mat-error>
          </mat-form-field>
      </div>
      

     <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
       
        <mat-form-field fxFlex="100" *ngIf="!isAssociation && suppliers && suppliers.length > 0">
          <mat-select placeholder="Fornecedor" formControlName="supplier">
            <mat-option *ngFor="let supplier of suppliers" [value]="supplier['id']">
              {{ supplier['companyName'] }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="serviceForm.get('supplier').hasError('required')">
            Por favor, selecione um fornecedor
          </mat-error>
        </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="!isAssociation">
      <mat-form-field fxFlex="100">
          <textarea rows="10"  matInput placeholder="Contrato do Serviço" formControlName="contract"></textarea>
      </mat-form-field>
    </div> 

    <hr>

    </mat-dialog-content>
    <mat-dialog-actions position="end">
      <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
      <button mat-raised-button [disabled]="serviceForm.invalid" color="primary">Salvar</button>
    </mat-dialog-actions>
  </form>
</div>